Page MenuHomePhabricator

Serbian (sr-ec and sr-el) should support GRAMMAR parser function
Open, LowPublic

Description

Author: theranchcowboy

Description:
Bosnian already has this implemented, and since it is pretty much close to Serbian language, I guess someone could add a support for it too.


Version: 1.18.x
Severity: enhancement

Details

Reference
bz33546
Related Gerrit Patches:
mediawiki/core : masterFull implementation of GRAMMAR in Serbian
mediawiki/core : masterFully implemented GRAMMAR in Serbian
mediawiki/extensions/WikimediaMessages : masterAdd GRAMMAR parser function support for Serbian

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:59 PM
bzimport set Reference to bz33546.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jan 5 2012, 5:23 PM
Reedy added a comment.Jan 5 2012, 5:49 PM

Are bosnian plurals also the same?

theranchcowboy wrote:

I just checked. Yes, they are identical. I will ask someone from Serbian Wikipedia to do the task.

patch for {{GRAMMAR:}} syntax for sr-* projects

I'm not really sure what's the use of this function, when all it supports are 2 cases, which don't really morph the word in the correct case (how should they, it's not really a trivial task), but just add a preposition (which is one of many that can be used with the said case).

But if you think this is what you need, here's the patch for sr variants.

Attached:

Can we get the logic of attachment 9823 confirmed, please?

Like Filip, I don't see the use of this, there is nothing that inflects the word.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 26 2015, 2:02 AM
Amire80 moved this task from Untriaged to Grammar on the I18n board.Mar 1 2018, 4:17 PM

Will this be implemented?

Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJul 11 2018, 10:59 PM
Aklapper lowered the priority of this task from Medium to Low.Jul 12 2018, 12:19 AM

@Acamicamacaraca: If you or anybody else provide a software change (patch), the chances that this will be implemented become much higher.
Please follow https://www.mediawiki.org/wiki/Gerrit/Tutorial for more info. Thanks!

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptSep 3 2018, 5:59 PM

@Acamicamacaraca: If you or anybody else provide a software change (patch), the chances that this will be implemented become much higher.
Please follow https://www.mediawiki.org/wiki/Gerrit/Tutorial for more info. Thanks!

I talked with @Acamicamacaraca on facebook, and he assigned this task to me with my permission. I will make patch for that!

Change 457543 had a related patch set uploaded (by Acamicamacaraca; owner: Acamicamacaraca):
[mediawiki/extensions/WikimediaMessages@master] Added GRAMMAR parser function support for Serbian Cyrillic (sr-ec) and Serbian Latin (sr-el).

https://gerrit.wikimedia.org/r/457543

Acamicamacaraca removed Zoranzoki21 as the assignee of this task.Sep 4 2018, 4:08 AM
Acamicamacaraca added a subscriber: Zoranzoki21.

Change 457543 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add GRAMMAR parser function support for Serbian

https://gerrit.wikimedia.org/r/457543

Zoranzoki21 closed this task as Resolved.Nov 29 2018, 6:43 PM
Zoranzoki21 assigned this task to Acamicamacaraca.

Should be resolved.

Change 481103 had a related patch set uploaded (by Zoranzoki21; owner: Acamicamacaraca):
[mediawiki/core@master] Fully implemented GRAMMAR in Serbian

https://gerrit.wikimedia.org/r/481103

Petar.petkovic reopened this task as Open.Jan 3 2019, 5:16 PM

Change 481103 had a related patch set uploaded (by Reedy; owner: Acamicamacaraca):
[mediawiki/core@master] Fully implemented GRAMMAR in Serbian

https://gerrit.wikimedia.org/r/481103

Change 481103 abandoned by Acamicamacaraca:
Fully implemented GRAMMAR in Serbian

Reason:
Zoranzoki21 said that he will make new patch with everything fixed

https://gerrit.wikimedia.org/r/481103

Change 533544 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/core@master] Fully implemented GRAMMAR in Serbian

https://gerrit.wikimedia.org/r/533544